import { Display } from './Display';
import { LedController } from './LedController';
import { RgbColor } from './types/index';
export declare class SevenSegmentDisplay extends Display {
    private segments;
    private lastColors;
    private colors;
    protected lastSegmentIndexes: Array<number>;
    constructor(ledController: LedController, startIndex: number, amountOfLedsPerSegment: number);
    setMultipleColors(colors: Array<RgbColor>): void;
    off(): void;
    protected showSegments(segmentIndexes: Array<number>, colors?: Array<RgbColor> | RgbColor): void;
    protected turnBackOn(): void;
    private getColorByIndex;
}
//# sourceMappingURL=SevenSegmentDisplay.d.ts.map