"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Segment = void 0;
class Segment {
    constructor(ledController, startIndex, amountOfLeds) {
        this.ledController = ledController;
        this.startIndex = startIndex;
        this.amountOfLeds = amountOfLeds;
    }
    on(color) {
        this.ledController.setLeds(this.startIndex, this.amountOfLeds, color);
    }
    off() {
        this.ledController.clearLeds(this.startIndex, this.amountOfLeds);
    }
    render() {
        return this.ledController.render();
    }
}
exports.Segment = Segment;
//# sourceMappingURL=Segment.js.map